Subject: SGI Patches 317 amd 530 for the Indy to run mrouted

From: [email-masked] (Hugh LaMaster)
Date: Wed, 7 Feb 1996 17:04:33 -0800 (PST)

>> I am trying to compile a multicast 3.5 capapble kernel for the Indy, and am
                                      ^^^  
                                      5.3 I assume?  Or do you mean mrouted
   3.5?  The current level is 3.8, and SGI has distributed 3.6 on CDROM.

>> failing with:

>> bash#autoconfig
>> if_sw: cannot open master file /var/sysgen/master.d/if_sw
>> if_sw: cannot open master file /var/sysgen/master.d/if_sw
>> Automatically reconfiguring the operating system.
>> /var/sysgen/root/usr/bin/ld:
>> Error: Undefined:
>> swinput
>> swoutput
>> swinit
>> lboot: ld returned 256--failed
>> 
>> 
>> The README on ftp.sgi.com:/sgi/ipmcast/... says this requires patches 317
>> amd 530, but they are not present on the server. Can anyone here who has
>> experienced similar problems with the Indy help me find these files?

You need to copy over the "bsd" patches mentioned in the readme as well.

Alternatively, [I prefer this, having done it both ways] you can install 
(using swmgr or inst) the SGI packaged distribution of mrouted that 
is on the "Desktop Special Edition 1.1" CDROM, which includes the required 
patches.  From that distribution, which is mrouted 3.6 I think, it is an easy 
upgrade to 3.8, which is available from ftp.sgi.com.   For some reason,
mtrace and mrinfo were not included in that release, however, so those 
may be obtained from the xerox parc site.

So far, I have had good success with mrouted 3.8 as distributed
by SGI from ftp.sgi.com.

Anyway, the reason I am responding in general is that for those 
who may not have noticed, there is an easy to overlook functional 
distribution of mrouted [3.6?] on the desktop special edition 1.1 
CDROM, that SGI sends to sites under support, which can easily be 
installed the usual ways, and this version seems to be a big 
improvement over the default 2.2 release that originally came with 
Irix 5.3.   So, if you have been putting off the upgrade, and have
the CDROM, you don't have an excuse any longer.  

Corrections to any factual errors in the above appreciated.

-Hugh LaMaster

  Hugh LaMaster, M/S 233-18,    Email:       Please send ASCII documents to:
  NASA Ames Research Center     Internet:    [email-masked]
  Moffett Field, CA 94035-1000  Or:          [email-masked] 
  Phone:  415/604-1056          Disclaimer:  Unofficial, personal *opinion*.